The Server Will Not Install (RHEL-Based Systems)

Symptoms

A conflicting request error is reported.

Example

[abacio@fedora32server2 tmp]$ sudo dnf install codelogic 
Last metadata expiration check: 2:12:19 ago on Mon 22 Mar 2021 06:24:16 PM PDT.
Error:
Problem: conflicting requests
  - nothing provides docker-ce >= 20.10 needed by codelogic-21.9.0.noarch.rpm
(try to add '--skip-broken' to skip uninstallable packages)

Solutions

Install an official distribution of the Docker Engine following the instructions at: https://www.linuxtechi.com/install-docker-ce-centos-8-rhel-8/.

Configure docker to start on boot following the instructions at: https://docs.docker.com/engine/install/linux-postinstall/#configure-docker-to-start-on-boot.

Was this article helpful?
0 out of 0 found this helpful